GET v1/Account/Details?CustomerId={CustomerId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
CustomerId

integer

None.

Body Parameters

None.

Response Information

Resource Description

Collection of AccountDetailsDTO
NameDescriptionTypeAdditional information
CustomerId

integer

None.

CustomerName

string

None.

ExpirationDate

date

None.

LicenseCount

integer

None.

AccountTypeId

integer

None.

AccountType

string

None.

SubscriptionStatus

ContractStatusType

None.

TemplateName

string

None.

PrimaryContact

AccountContactInfo

None.

Domains

Collection of string

None.

IsActive

boolean

None.

EnabledSKUs

Collection of CustomerSkuDetailsDto

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "customerId": 1,
    "customerName": "sample string 2",
    "expirationDate": "04/03/2026",
    "licenseCount": 3,
    "accountTypeId": 4,
    "accountType": "sample string 5",
    "subscriptionStatus": 1,
    "templateName": "sample string 6",
    "primaryContact": {
      "name": "sample string 1",
      "email": "sample string 2",
      "phone": "sample string 3"
    },
    "domains": [
      "sample string 1",
      "sample string 2"
    ],
    "isActive": true,
    "enabledSKUs": [
      {
        "description": "sample string 1",
        "isParentEnabled": true,
        "isEnabled": true,
        "dateModified": "04/03/2026",
        "licenseCount": 2,
        "name": "sample string 3",
        "skuId": 4
      },
      {
        "description": "sample string 1",
        "isParentEnabled": true,
        "isEnabled": true,
        "dateModified": "04/03/2026",
        "licenseCount": 2,
        "name": "sample string 3",
        "skuId": 4
      }
    ]
  },
  {
    "customerId": 1,
    "customerName": "sample string 2",
    "expirationDate": "04/03/2026",
    "licenseCount": 3,
    "accountTypeId": 4,
    "accountType": "sample string 5",
    "subscriptionStatus": 1,
    "templateName": "sample string 6",
    "primaryContact": {
      "name": "sample string 1",
      "email": "sample string 2",
      "phone": "sample string 3"
    },
    "domains": [
      "sample string 1",
      "sample string 2"
    ],
    "isActive": true,
    "enabledSKUs": [
      {
        "description": "sample string 1",
        "isParentEnabled": true,
        "isEnabled": true,
        "dateModified": "04/03/2026",
        "licenseCount": 2,
        "name": "sample string 3",
        "skuId": 4
      },
      {
        "description": "sample string 1",
        "isParentEnabled": true,
        "isEnabled": true,
        "dateModified": "04/03/2026",
        "licenseCount": 2,
        "name": "sample string 3",
        "skuId": 4
      }
    ]
  }
]

application/xml, text/xml

Sample:
<ArrayOfAccountDetailsDTO xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Brainstorm.Api.Models.DTO.Account">
  <AccountDetailsDTO>
    <AccountType>sample string 5</AccountType>
    <AccountTypeId>4</AccountTypeId>
    <CustomerId>1</CustomerId>
    <CustomerName>sample string 2</CustomerName>
    <Domains xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:string>sample string 1</d3p1:string>
      <d3p1:string>sample string 2</d3p1:string>
    </Domains>
    <EnabledSKUs xmlns:d3p1="http://schemas.datacontract.org/2004/07/Brainstorm.Api.Models.DTO.SKU">
      <d3p1:CustomerSkuDetailsDto>
        <d3p1:SkuId>4</d3p1:SkuId>
        <d3p1:Name>sample string 3</d3p1:Name>
        <d3p1:DateModified>2026-04-03T12:23:07.183255+00:00</d3p1:DateModified>
        <d3p1:Description>sample string 1</d3p1:Description>
        <d3p1:IsEnabled>true</d3p1:IsEnabled>
        <d3p1:IsParentEnabled>true</d3p1:IsParentEnabled>
        <d3p1:LicenseCount>2</d3p1:LicenseCount>
      </d3p1:CustomerSkuDetailsDto>
      <d3p1:CustomerSkuDetailsDto>
        <d3p1:SkuId>4</d3p1:SkuId>
        <d3p1:Name>sample string 3</d3p1:Name>
        <d3p1:DateModified>2026-04-03T12:23:07.183255+00:00</d3p1:DateModified>
        <d3p1:Description>sample string 1</d3p1:Description>
        <d3p1:IsEnabled>true</d3p1:IsEnabled>
        <d3p1:IsParentEnabled>true</d3p1:IsParentEnabled>
        <d3p1:LicenseCount>2</d3p1:LicenseCount>
      </d3p1:CustomerSkuDetailsDto>
    </EnabledSKUs>
    <ExpirationDate>2026-04-03T12:23:07.183255+00:00</ExpirationDate>
    <IsActive>true</IsActive>
    <LicenseCount>3</LicenseCount>
    <PrimaryContact>
      <Email>sample string 2</Email>
      <Name>sample string 1</Name>
      <Phone>sample string 3</Phone>
    </PrimaryContact>
    <SubscriptionStatus>Signed</SubscriptionStatus>
    <TemplateName>sample string 6</TemplateName>
  </AccountDetailsDTO>
  <AccountDetailsDTO>
    <AccountType>sample string 5</AccountType>
    <AccountTypeId>4</AccountTypeId>
    <CustomerId>1</CustomerId>
    <CustomerName>sample string 2</CustomerName>
    <Domains xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:string>sample string 1</d3p1:string>
      <d3p1:string>sample string 2</d3p1:string>
    </Domains>
    <EnabledSKUs xmlns:d3p1="http://schemas.datacontract.org/2004/07/Brainstorm.Api.Models.DTO.SKU">
      <d3p1:CustomerSkuDetailsDto>
        <d3p1:SkuId>4</d3p1:SkuId>
        <d3p1:Name>sample string 3</d3p1:Name>
        <d3p1:DateModified>2026-04-03T12:23:07.183255+00:00</d3p1:DateModified>
        <d3p1:Description>sample string 1</d3p1:Description>
        <d3p1:IsEnabled>true</d3p1:IsEnabled>
        <d3p1:IsParentEnabled>true</d3p1:IsParentEnabled>
        <d3p1:LicenseCount>2</d3p1:LicenseCount>
      </d3p1:CustomerSkuDetailsDto>
      <d3p1:CustomerSkuDetailsDto>
        <d3p1:SkuId>4</d3p1:SkuId>
        <d3p1:Name>sample string 3</d3p1:Name>
        <d3p1:DateModified>2026-04-03T12:23:07.183255+00:00</d3p1:DateModified>
        <d3p1:Description>sample string 1</d3p1:Description>
        <d3p1:IsEnabled>true</d3p1:IsEnabled>
        <d3p1:IsParentEnabled>true</d3p1:IsParentEnabled>
        <d3p1:LicenseCount>2</d3p1:LicenseCount>
      </d3p1:CustomerSkuDetailsDto>
    </EnabledSKUs>
    <ExpirationDate>2026-04-03T12:23:07.183255+00:00</ExpirationDate>
    <IsActive>true</IsActive>
    <LicenseCount>3</LicenseCount>
    <PrimaryContact>
      <Email>sample string 2</Email>
      <Name>sample string 1</Name>
      <Phone>sample string 3</Phone>
    </PrimaryContact>
    <SubscriptionStatus>Signed</SubscriptionStatus>
    <TemplateName>sample string 6</TemplateName>
  </AccountDetailsDTO>
</ArrayOfAccountDetailsDTO>